diff --git a/node_modules/@thirdweb-dev/storage/.DS_Store b/node_modules/@thirdweb-dev/storage/.DS_Store
new file mode 100644
index 0000000..c88a062
Binary files /dev/null and b/node_modules/@thirdweb-dev/storage/.DS_Store differ
diff --git a/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.browser.esm.js b/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.browser.esm.js
index a8db81a..d8f0568 100644
--- a/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.browser.esm.js
+++ b/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.browser.esm.js
@@ -277,7 +277,7 @@ function replaceObjectFilesWithUris(data, uris) {
 
 async function getCIDForUpload(data, fileNames) {
   let wrapWithDirectory = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
-  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
+  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 1;
   const contentWithPath = await Promise.all(data.map(async (file, i) => {
     const path = fileNames[i];
     let content;
@@ -304,7 +304,7 @@ async function getCIDForUpload(data, fileNames) {
 }
 async function getCID(content) {
   let wrapWithDirectory = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
-  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
+  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
   const options = {
     onlyHash: true,
     wrapWithDirectory,
@@ -514,7 +514,8 @@ class IpfsUploader {
     form.append("pinataMetadata", JSON.stringify(metadata));
     if (options?.uploadWithoutDirectory) {
       form.append("pinataOptions", JSON.stringify({
-        wrapWithDirectory: false
+        wrapWithDirectory: false,
+        cidVersion: 1
       }));
     }
     return {
diff --git a/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.cjs.dev.js b/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.cjs.dev.js
index 8a46c54..9d4ed51 100644
--- a/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.cjs.dev.js
+++ b/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.cjs.dev.js
@@ -286,7 +286,7 @@ function replaceObjectFilesWithUris(data, uris) {
 
 async function getCIDForUpload(data, fileNames) {
   let wrapWithDirectory = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
-  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
+  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 1;
   const contentWithPath = await Promise.all(data.map(async (file, i) => {
     const path = fileNames[i];
     let content;
@@ -313,7 +313,7 @@ async function getCIDForUpload(data, fileNames) {
 }
 async function getCID(content) {
   let wrapWithDirectory = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
-  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
+  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
   const options = {
     onlyHash: true,
     wrapWithDirectory,
@@ -529,7 +529,8 @@ class IpfsUploader {
     form.append("pinataMetadata", JSON.stringify(metadata));
     if (options?.uploadWithoutDirectory) {
       form.append("pinataOptions", JSON.stringify({
-        wrapWithDirectory: false
+        wrapWithDirectory: false,
+        cidVersion: 1
       }));
     }
     return {
diff --git a/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.cjs.prod.js b/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.cjs.prod.js
index 1153993..e04fd9e 100644
--- a/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.cjs.prod.js
+++ b/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.cjs.prod.js
@@ -286,7 +286,7 @@ function replaceObjectFilesWithUris(data, uris) {
 
 async function getCIDForUpload(data, fileNames) {
   let wrapWithDirectory = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
-  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
+  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 1;
   const contentWithPath = await Promise.all(data.map(async (file, i) => {
     const path = fileNames[i];
     let content;
@@ -313,7 +313,7 @@ async function getCIDForUpload(data, fileNames) {
 }
 async function getCID(content) {
   let wrapWithDirectory = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
-  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
+  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
   const options = {
     onlyHash: true,
     wrapWithDirectory,
@@ -529,7 +529,8 @@ class IpfsUploader {
     form.append("pinataMetadata", JSON.stringify(metadata));
     if (options?.uploadWithoutDirectory) {
       form.append("pinataOptions", JSON.stringify({
-        wrapWithDirectory: false
+        wrapWithDirectory: false,
+        cidVersion: 1
       }));
     }
     return {
diff --git a/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.esm.js b/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.esm.js
index aa12052..56ce684 100644
--- a/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.esm.js
+++ b/node_modules/@thirdweb-dev/storage/dist/thirdweb-dev-storage.esm.js
@@ -520,7 +520,8 @@ class IpfsUploader {
     form.append("pinataMetadata", JSON.stringify(metadata));
     if (options?.uploadWithoutDirectory) {
       form.append("pinataOptions", JSON.stringify({
-        wrapWithDirectory: false
+        wrapWithDirectory: false,
+        cidVersion: 1
       }));
     }
     return {
